Get a blocklist
GET
/api/v1/data-sources/{id}
const url = 'https://app.hostrepute.com/api/v1/data-sources/4';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.hostrepute.com/api/v1/data-sources/4 \ --header 'Authorization: Bearer <token>'Get one blocklist by its ID.
Needs the data-source:read ability.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
The ID of the blocklist.
Example
4Responses
Section titled “Responses”Media typeapplication/json
object
data
object
id
integer
host
string
name
string
description
string
website
string
provider
string
is_active
boolean
created_at
string
updated_at
string
Example
{ "data": { "id": 4, "host": "b.barracudacentral.org", "name": "b.barracudacentral.org", "description": null, "website": null, "provider": "barracuda", "is_active": true, "created_at": "2026-10-20T03:00:12.000000Z", "updated_at": "2026-10-20T03:00:12.000000Z" }}No blocklist with this ID
Media typeapplication/json
object
message
string
Example
{ "message": "No query results for model [App\\Models\\DataSource] 9999"}
